### Method

# Tsparql SparqlStatement update_async

since: 3.5

#### Declaration [src]

    void
    tracker_sparql_statement_update_async (
      TrackerSparqlStatement* stmt,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Executes asynchronously the `INSERT`/`DELETE` SPARQL query series with the currently bound values.

This function should only be called on `TrackerSparqlStatement` objects obtained through `tracker_sparql_connection_update_statement()` or `INSERT`/`DELETE` statements loaded through `tracker_sparql_connection_load_statement_from_gresource()`. An error will be raised if this method is called on `SELECT`/`ASK`/`DESCRIBE`/`CONSTRUCT` SPARQL queries.

Available since: 3.5

This method completes asynchronously. Use `tracker_sparql_statement_update_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when the asynchronous operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.